function getFCKEditorTextLength(lBody)
{
	var oEditor = FCKeditorAPI.GetInstance(lBody) ;
	var oDOM = oEditor.EditorDocument ;

	var iLength ;

	if ( document.all )		// If Internet Explorer.
	{
		iLength = oDOM.body.innerText.length ;
	}
	else					// If Gecko.
	{
		var r = oDOM.createRange() ;
		r.selectNodeContents( oDOM.body ) ;
		iLength = r.toString().length ;
	}
	return iLength ;
}

function getFCKEditorHTMLText(lBody)
{
	var oEditor = FCKeditorAPI.GetInstance(lBody) ;
	return oEditor.EditorDocument.body.innerHTML ;
}

function setFCKEditorHTMLText(lBody, val)
{
	var oEditor = FCKeditorAPI.GetInstance(lBody) ;
	oEditor.EditorDocument.body.innerHTML = val;
}

function getFCKEditorPlainText(lBody)
{
	var oEditor = FCKeditorAPI.GetInstance(lBody) ;
	return oEditor.EditorDocument.body.innerText ;
}